// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class middleLayer extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () {

    }
    log(str){
        console.log("this.node====",this.node)
        if(this.node){
            this.node.getComponent(cc.Label).string=str;
            if(!this.node.active){
                this.node.active=true;
                setTimeout(()=>{
                    this.node.active=false
                },2000)
            }
        }
    }

    // update (dt) {}
}
